Bug 640033 - Groups - Monitoring: Traits subtab cannot group by other columns
Groups - Monitoring: Traits subtab cannot group by other columns
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: gwt-groups
  Show dependency treegraph
 
Reported: 2010-10-04 11:26 EDT by Corey Welton
Modified: 2014-05-02 14:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-02 14:04:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot explaining the excessive column (35.95 KB, image/png)
2010-10-04 11:33 EDT, Corey Welton
no flags Details

  None (edit)
Description Corey Welton 2010-10-04 11:26:36 EDT
Description of problem:
In the Traits subtab, the data for any resource (group) is already broken out by Trait.  However, each row also has a separate Traits column that matches this breakout.  Probably (?) don't need this column.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Create a group of compatible platform (linux servers, for example)
2.  Navigate to Monitoring > Traits subtab
3.  View results.
  
Actual results:
Data is grouped by trait, and then a separate Traits col. also exists.

Expected results:
Probably don't need this column taking up valuable screen real estate if by definition each item grouped under a specific trait header is going to be the same.

Additional info:
I guess the only value this adds is it allows users to sort ascending/descending by trait type.  But there is probably a better way to handle this in the UI than creating a column of otherwise superfluous information simply to allow a sort.

I haven't checked, but this is probably also the case outside the Groups context (i.e., for a single resource).  It was found while testing group monitoring, however.
Comment 1 Corey Welton 2010-10-04 11:33:03 EDT
Created attachment 451439 [details]
screenshot explaining the excessive column

As far as I could tell, throughout the traits these match 1:1.  So probably don't need the col., esp. if we can find a better way to provide a sorting mechanism for these traits.
Comment 2 John Mazzitelli 2011-02-17 15:56:23 EST
go to the trait view for a group.

Try to "Group by" any column. The data disappears and you can't get it back.

Note You need to log in before you can comment on or make changes to this bug.